diff -Nru cxref-1.6a.old/debian/changelog cxref-1.6a/debian/changelog
--- cxref-1.6a.old/debian/changelog	2008-04-18 08:42:56.180400423 +0200
+++ cxref-1.6a/debian/changelog	2008-05-08 08:33:27.233708844 +0200
@@ -1,3 +1,18 @@
+cxref (1.6a-1.2) unstable; urgency=low
+
+  * Non-maintainer upload to fix pending l10n issues.
+  * Debconf translations:
+    - Galician. Closes: #412871
+    - Finnish. Closes: #478568
+  * [Lintian] Fix doc-base section to "Programming" in doc-base files
+  * [Lintian] Remove non-doc files from listed files in doc-base files
+  * [Lintian] Remove extra spaces at the end of cxref.doc-base
+  * [Lintian] Add real copyright information to debian/copyright
+  * [Lintian] cxref-emacs depend on emacs22 and no longer emacs21
+  * [Lintian) No longer ignore errors by "make distclean"
+
+ -- Christian Perrier <bubulle@debian.org>  Fri, 18 Apr 2008 08:47:53 +0200
+
 cxref (1.6a-1.1) unstable; urgency=low
 
   * Non-maintainer upload (originally meant) to fix longstanding l10n issues
diff -Nru cxref-1.6a.old/debian/control cxref-1.6a/debian/control
--- cxref-1.6a.old/debian/control	2008-04-18 08:42:56.180400423 +0200
+++ cxref-1.6a/debian/control	2008-04-18 11:28:52.415328785 +0200
@@ -34,7 +34,7 @@
 Package: cxref-emacs
 Section: editors
 Architecture: all
-Depends: emacs21 | emacsen, emacsen-common (>= 1.4.14)
+Depends: emacs22 | emacsen, emacsen-common (>= 1.4.14)
 Description: Generates latex and HTML documentation for C programs
  This package provides an emacs mode facilitating the use of cxref,
  and enabling the display of a hierarchical flow graph of cxref
diff -Nru cxref-1.6a.old/debian/copyright cxref-1.6a/debian/copyright
--- cxref-1.6a.old/debian/copyright	2008-04-18 08:42:55.872396590 +0200
+++ cxref-1.6a/debian/copyright	2008-04-18 11:27:30.671328175 +0200
@@ -5,6 +5,6 @@
 
 Upstream Author: Andrew M. Bishop, amb@gedanken.demon.co.uk.
 
-Copyright: GPL
+Copyright © Andrew M. Bishop 1995,96,97,98,99
 
 See /usr/share/common-licenses/GPL
diff -Nru cxref-1.6a.old/debian/cxref-doc.doc-base cxref-1.6a/debian/cxref-doc.doc-base
--- cxref-1.6a.old/debian/cxref-doc.doc-base	2008-04-18 08:42:55.728396509 +0200
+++ cxref-1.6a/debian/cxref-doc.doc-base	2008-04-18 11:24:49.963329793 +0200
@@ -2,16 +2,7 @@
 Title: Cxref Examples
 Author: Andrew M. Bishop
 Abstract: Generates latex and HTML documentation for C programs.
-Section: Apps/Programming
-
-Format: LaTeX
-Files: /usr/share/doc/cxref-doc/examples/*.tex.gz /usr/share/doc/cxref-doc/examples/*.tex
-
-Format: DVI
-Files: /usr/share/doc/cxref-doc/examples/*.dvi.gz /usr/share/doc/cxref-doc/examples/*.dvi
-
-Format: rtf
-Files: /usr/share/doc/cxref-doc/examples/*.rtf.gz /usr/share/doc/cxref-doc/examples/*.rtf
+Section: Programming
 
 Format: HTML
 Index: /usr/share/doc/cxref-doc/examples/cxref.html
diff -Nru cxref-1.6a.old/debian/cxref.doc-base cxref-1.6a/debian/cxref.doc-base
--- cxref-1.6a.old/debian/cxref.doc-base	2008-04-18 08:42:55.856404379 +0200
+++ cxref-1.6a/debian/cxref.doc-base	2008-04-18 11:25:56.030489329 +0200
@@ -2,19 +2,11 @@
 Title:  Cxref Manual
 Author: Andrew M. Bishop
 Abstract: Generates latex and HTML documentation for C programs.
-Section: Apps/Programming
+Section: Programming
 
 Format: text
-Files: /usr/share/doc/cxref/FAQ.gz /usr/share/doc/cxref/README.gz
-
-Format: LaTeX
-Files: /usr/share/doc/cxref/FAQ.gz /usr/share/doc/cxref/README.tex.gz
-
-Format: debiandoc-sgml
-Files: /usr/share/doc/cxref/FAQ.gz /usr/share/doc/cxref/README.sgml.gz
+Files: /usr/share/doc/cxref/FAQ /usr/share/doc/cxref/README
 
 Format: HTML
 Index: /usr/share/doc/cxref/README.html
 Files: /usr/share/doc/cxref/*.html
-
-  
diff -Nru cxref-1.6a.old/debian/rules cxref-1.6a/debian/rules
--- cxref-1.6a.old/debian/rules	2008-04-18 08:42:55.728396509 +0200
+++ cxref-1.6a/debian/rules	2008-04-18 11:29:58.979327721 +0200
@@ -24,7 +24,7 @@
 	dh_testroot
 	rm -f build-stamp install-stamp
 
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	-rm -f cxref-inst
 	-rm -f *~ \
 	README.c.sty README.c.src.html README.c.tex README.c.html README.c.rtf README.c.sgml \
